<div *ngIf="regFormGroup" class="sign-up-form">
  <app-title-tag [title]="'Sign up'" [orientation]="'left'"></app-title-tag>
  <form [formGroup]="regFormGroup" (ngSubmit)="onRegister()">
    <div class="row">
      <div class="col-lg-6">
        <app-input-control class="first-name" [formControlName]="firstName?.name" [field]="firstName">
        </app-input-control>
      </div>
      <div class="col-lg-6">
        <app-input-control [formControlName]="lastName?.name" [field]="lastName"></app-input-control>
      </div>
    </div>
    <app-input-control *ngFor="let field of restFields" [formControlName]="field?.name" [field]="field">
    </app-input-control>
    <button type="submit" class="btn btn-primary sign-up border-rad-20">
      Sign up
    </button>
  </form>
</div>
